#### Previous topic

scipy.spatial.distance.euclidean

#### Next topic

scipy.spatial.distance.jaccard

# scipy.spatial.distance.hamming

`scipy.spatial.distance.``hamming`(u, v)

  Computes the Hamming distance between two 1-D arrays.

  The Hamming distance between 1-D arrays u and v, is simply the proportion of disagreeing components in u and v. If u and v are boolean vectors, the Hamming distance is

  \[\frac{c_{01} + c_{10}}{n}\]

  where \(c_{ij}\) is the number of occurrences of \(\mathtt{u[k]} = i\) and \(\mathtt{v[k]} = j\) for \(k < n\).

  Parameters:

  u : (N,) array_like

  > Input array.

  v : (N,) array_like

  > Input array.

  Returns:

  hamming : double

  > The Hamming distance between vectors u and v.